# H245_H223AnnexCCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H223AnnexCCapability:

List of all members.

## Public Types

enum | OptionalFields { e_rsCodeCapability }

## Public Member Functions

| H245_H223AnnexCCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_videoWithAL1M
PASN_Boolean | m_videoWithAL2M
PASN_Boolean | m_videoWithAL3M
PASN_Boolean | m_audioWithAL1M
PASN_Boolean | m_audioWithAL2M
PASN_Boolean | m_audioWithAL3M
PASN_Boolean | m_dataWithAL1M
PASN_Boolean | m_dataWithAL2M
PASN_Boolean | m_dataWithAL3M
PASN_Boolean | m_alpduInterleaving
PASN_Integer | m_maximumAL1MPDUSize
PASN_Integer | m_maximumAL2MSDUSize
PASN_Integer | m_maximumAL3MSDUSize
PASN_Boolean | m_rsCodeCapability

## Member Enumeration Documentation

enum H245_H223AnnexCCapability::OptionalFields

Enumerator:

  e_rsCodeCapability |

## Constructor & Destructor Documentation

H245_H223AnnexCCapability::H245_H223AnnexCCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H223AnnexCCapability::GetDataLength | ( |  | ) | const

PBoolean H245_H223AnnexCCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_H223AnnexCCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H223AnnexCCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H223AnnexCCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H223AnnexCCapability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_H223AnnexCCapability::m_videoWithAL1M

PASN_Boolean H245_H223AnnexCCapability::m_videoWithAL2M

PASN_Boolean H245_H223AnnexCCapability::m_videoWithAL3M

PASN_Boolean H245_H223AnnexCCapability::m_audioWithAL1M

PASN_Boolean H245_H223AnnexCCapability::m_audioWithAL2M

PASN_Boolean H245_H223AnnexCCapability::m_audioWithAL3M

PASN_Boolean H245_H223AnnexCCapability::m_dataWithAL1M

PASN_Boolean H245_H223AnnexCCapability::m_dataWithAL2M

PASN_Boolean H245_H223AnnexCCapability::m_dataWithAL3M

PASN_Boolean H245_H223AnnexCCapability::m_alpduInterleaving

PASN_Integer H245_H223AnnexCCapability::m_maximumAL1MPDUSize

PASN_Integer H245_H223AnnexCCapability::m_maximumAL2MSDUSize

PASN_Integer H245_H223AnnexCCapability::m_maximumAL3MSDUSize

PASN_Boolean H245_H223AnnexCCapability::m_rsCodeCapability

The documentation for this class was generated from the following file:

- h245.h